Type of object is always userAddress.
userAddress Unique identifier for the address.
"adr_0SNlurA049MEWV5ELDmnaqVXgTFT"The city/municipality of the address.
"New York City"The ISO 3166-1 alpha-2 country code of the address.
"US"The time the address was created.
"2021-01-21T19:38:34Z"The first line of the address, e.g. street and house number.
"129 West 81st Street"The second line of the address, e.g. apartment number.
"Apartment 5"The postal code of the address.
"10024"The state/province/region of the address.
"NY"Unique identifier for the address user.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"{
"object": "userAddress",
"id": "adr_0SNlurA049MEWV5ELDmnaqVXgTFT",
"city": "New York City",
"country": "US",
"createdAt": "2021-01-21T19:38:34.0Z",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Retrieves the details of an existing address for a given user.
Returns the address if it exists and is owned by the user.
Type of object is always userAddress.
userAddress Unique identifier for the address.
"adr_0SNlurA049MEWV5ELDmnaqVXgTFT"The city/municipality of the address.
"New York City"The ISO 3166-1 alpha-2 country code of the address.
"US"The time the address was created.
"2021-01-21T19:38:34Z"The first line of the address, e.g. street and house number.
"129 West 81st Street"The second line of the address, e.g. apartment number.
"Apartment 5"The postal code of the address.
"10024"The state/province/region of the address.
"NY"Unique identifier for the address user.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"curl https://api.gigs.com/projects/${GIGS_PROJECT}/users/{user}/addresses/{address} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "userAddress",
"id": "adr_0SNlurA049MEWV5ELDmnaqVXgTFT",
"city": "New York City",
"country": "US",
"createdAt": "2021-01-21T19:38:34Z",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Retrieves the details of an existing user address and deletes it.
Returns the address after a successful deletion.
Type of object is always userAddress.
userAddress Unique identifier for the address.
"adr_0SNlurA049MEWV5ELDmnaqVXgTFT"The city/municipality of the address.
"New York City"The ISO 3166-1 alpha-2 country code of the address.
"US"The time the address was created.
"2021-01-21T19:38:34Z"The first line of the address, e.g. street and house number.
"129 West 81st Street"The second line of the address, e.g. apartment number.
"Apartment 5"The postal code of the address.
"10024"The state/province/region of the address.
"NY"Unique identifier for the address user.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"curl https://api.gigs.com/projects/${GIGS_PROJECT}/users/{user}/addresses/{address} \
-X DELETE \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "userAddress",
"id": "adr_0SNlurA049MEWV5ELDmnaqVXgTFT",
"city": "New York City",
"country": "US",
"createdAt": "2021-01-21T19:38:34Z",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Returns a list of addresses owned by the given user. The addresses returned are sorted by creation date, with the most recently created addresses appearing first.
Returns a list of address objects.
Type of object is always list.
list userAddress.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/users/{user}/addresses \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "userAddress",
"id": "adr_0SNlurA049MEWV5ELDmnaqVXgTFT",
"city": "New York City",
"country": "US",
"createdAt": "2021-01-21T19:38:34Z",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Create a new address for the given user with the provided parameters.
If any validations fail during the user address creation process, detailed information will be provided in the error response body. If applicable, suggested alternative values for properties that do not pass the validations will also be included.
Please note that there is a maximum limit of 10 active addresses permitted per user. Attempts to exceed this limit will result in an error response. Addresses must also be unique for a given user.
The city/municipality of the address.
"New York City"The ISO 3166-1 alpha-2 country code of the address.
"US"The first line of the address, e.g. street and house number.
"129 West 81st Street"The second line of the address, e.g. apartment number.
"Apartment 5"The state/province/region of the address. Required for US/CA addresses to be a valid ISO 3166-2 2 letter code.
"NY"The postal code of the address. Required for countries with postal codes.
"10024"Returns the created address.
Type of object is always userAddress.
userAddress Unique identifier for the address.
"adr_0SNlurA049MEWV5ELDmnaqVXgTFT"The city/municipality of the address.
"New York City"The ISO 3166-1 alpha-2 country code of the address.
"US"The time the address was created.
"2021-01-21T19:38:34Z"The first line of the address, e.g. street and house number.
"129 West 81st Street"The second line of the address, e.g. apartment number.
"Apartment 5"The postal code of the address.
"10024"The state/province/region of the address.
"NY"Unique identifier for the address user.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"curl https://api.gigs.com/projects/${GIGS_PROJECT}/users/{user}/addresses \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"state": "NY",
"postalCode": "10024"
}'
{
"object": "userAddress",
"id": "adr_0SNlurA049MEWV5ELDmnaqVXgTFT",
"city": "New York City",
"country": "US",
"createdAt": "2021-01-21T19:38:34Z",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}